import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService } from '../../shared/base-api-template-service.model';
import { ApiVisa } from '../../shared/api-visa.model';
import { Observable } from 'rxjs';
import { ApiResponseModel } from '../../shared/api-response.model';
export declare class PeppolParticipantLookupService extends BaseApiTemplateService<any> {
    readonly url: string;
    constructor(http: HttpClient);
    lookupSmp(peppol_id: string, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    checkIsValid(iso6523Code: string, peppol_id: string, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    getParticipantListBySearchWord(searchWord: string, visa: ApiVisa): Observable<ApiResponseModel<any>>;
}
